@custom-media --br-mobile-only ( only screen ) and ( max-width: 26.75rem );
@custom-media --br-tablet ( only screen ) and ( min-width: 48rem );
@custom-media --br-desktop ( only screen ) and ( min-width: 70rem );

:root {
	/* Font stacks */
	/* stylelint-disable value-keyword-case, declaration-colon-newline-after, value-list-comma-newline-after */
	--font-monospace: Consolas, Monaco, 'Andale Mono WT', 'Andale Mono', 'Lucida Console', 'Lucida Sans Typewriter',
		'Liberation Mono', 'Nimbus Mono L', 'Courier New', Courier, monospace;
	--font-sans-serif: system-ui, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen-Sans, Ubuntu, Cantarell,
		'Helvetica Neue', sans-serif;
	--font-serif: Constantia, 'Lucida Bright', Lucidabright, 'Lucida Serif', Lucida, 'Liberation Serif', Georgia, serif;
	/* stylelint-enable */

	--font-size-small: 0.875rem;
	--font-size-base: 1rem;
	--font-size-medium: 1.125rem;
	--font-size-big: 1.25rem;
	--font-size-huge: 1.5rem;
	--spacing-outer: 1.5rem;

	cursor: revert;
	line-height: 1.625;

	@media ( --br-tablet ) {
		--font-size-small: 1rem;
		--font-size-base: 1.125rem;
		--font-size-medium: 1.25rem;
		--font-size-big: 1.375rem;
		--font-size-huge: 1.75rem;
		--spacing-outer: 1.75rem;
	}
	@media only screen and ( prefers-color-scheme: dark ) {
		line-height: 1.7;
	}
}

body {
	font-family: var( --font-serif );
	font-size: var( --font-size-base );
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	padding-block-start: 1px;
	padding-block-end: 1px;
}

a {
	&,
	&:visited {
		color: var( --link-color );
	}

	&:active,
	&:focus,
	&:hover {
		text-decoration: none;
	}
}

figure {
	margin-inline-start: 0;
	margin-inline-end: 0;
	margin-block-end: var( --spacing-outer );
	text-align: center;

	&[style] {
		width: unset !important;
	}
}

figcaption {
	font-size: 0.875em;
	font-style: italic;
	margin-inline-end: 0.5em;
}

img {
	margin-block-end: var( --spacing-outer );

	figure & {
		margin-block-end: calc( var( --spacing-outer ) / 3 );
	}
}

iframe {
	display: block;
	width: 100%;
}

h1,
h2,
h3,
h4,
h5,
h6 {
	font-family: var( --font-sans-serif );
}

h1 {
	font-size: var( --font-size-huge );
}

h2 {
	font-size: var( --font-size-big );
}

h3,
h4 {
	font-size: var( --font-size-medium );
}

h5,
h6 {
	font-size: var( --font-size-base );
}

p:empty {
	display: none;
}

ul,
ol {
	padding-inline-start: var( --spacing-outer );
}

code {
	font-family: var( --font-monospace );
	font-size: var( --font-size-small );
	color: var( --code-color );

	a & {
		color: var( --link-color );
	}
}

pre {
	width: 100%;
	max-height: 25rem;
	overflow: visible;
	tab-size: 4;
	font-family: var( --font-monospace );

	code {
		display: block;
		height: inherit;
		max-height: inherit;
		overflow: auto;
		font-size: inherit;
	}

	@media only screen and ( orientation: landscape ) and ( max-height: 26.75rem ) {
		max-height: 80vh;
	}
}

blockquote {
	margin-block-start: var( --spacing-outer );
	margin-block-end: var( --spacing-outer );
	margin-inline-start: 0;
	margin-inline-end: 0;
	padding-left: var( --spacing-outer );
	border-left: 1px solid var( --foreground-color );
}

.clear {
	clear: both;
}

::selection {
	background: var( --foreground-color );
	color: var( --background-color );
}
